summaryrefslogtreecommitdiffstats
path: root/source/a/mkinitrd
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/mkinitrd')
-rwxr-xr-xsource/a/mkinitrd/mkinitrd.SlackBuild5
-rw-r--r--source/a/mkinitrd/mkinitrd.tempfile.to.mktemp.patch19
2 files changed, 23 insertions, 1 deletions
diff --git a/source/a/mkinitrd/mkinitrd.SlackBuild b/source/a/mkinitrd/mkinitrd.SlackBuild
index 20965e3ab..879e64c01 100755
--- a/source/a/mkinitrd/mkinitrd.SlackBuild
+++ b/source/a/mkinitrd/mkinitrd.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mkinitrd
VERSION=${VERSION:-1.4.11}
BB=1.30.1
-BUILD=${BUILD:-14}
+BUILD=${BUILD:-15}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -118,6 +118,9 @@ cp -a $CWD/mkinitrd $PKG/sbin/mkinitrd
chown root:root $PKG/sbin/mkinitrd
chmod 755 $PKG/sbin/mkinitrd
+# Patch to switch to mktemp:
+( cd $PKG/sbin ; zcat $CWD/mkinitrd.tempfile.to.mktemp.patch.gz | patch --verbose || exit 1) || exit 1
+
mkdir -p $PKG/usr/man/man{5,8}
cat $CWD/mkinitrd.conf.5 | gzip -9c > $PKG/usr/man/man5/mkinitrd.conf.5.gz
cat $CWD/mkinitrd.8 | gzip -9c > $PKG/usr/man/man8/mkinitrd.8.gz
diff --git a/source/a/mkinitrd/mkinitrd.tempfile.to.mktemp.patch b/source/a/mkinitrd/mkinitrd.tempfile.to.mktemp.patch
new file mode 100644
index 000000000..3fb199abf
--- /dev/null
+++ b/source/a/mkinitrd/mkinitrd.tempfile.to.mktemp.patch
@@ -0,0 +1,19 @@
+From bbeb9d73191c1c79f5286fd3b1fdb5611fb11301 Mon Sep 17 00:00:00 2001
+From: "Patrick J. Volkerding" <volkerdi@slackware.com>
+Date: Sun Apr 26 18:51:23 CDT 2020
+Subject: [PATCH] Switch from tempfile to mktemp
+
+Use the standard mktemp utility from GNU coreutils rather than the
+lesser-known tempfile utility from Debian of yore.
+
+--- mkinitrd.orig 2019-09-04 23:37:08.000000000 -0500
++++ mkinitrd 2020-04-26 18:46:22.352636100 -0500
+@@ -235,7 +235,7 @@
+
+ # Then copy all remaining libs our initrd files link against:
+ COUNT=1
+- PRFX=$(tempfile --prefix ldd-)
++ PRFX=$(mktemp --suffix -ldd)
+ TMPFILE=${PRFX}${COUNT}
+
+ find $SOURCE_TREE -type f -exec ldd {} 2>/dev/null \; | unify_libs > $TMPFILE